Ignore:
Timestamp:
Oct 15, 2013 5:06:12 PM (7 years ago)
Author:
stefan
Message:

revert r2394:HEAD - releases are not to be modified

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Lapack/trunk/configure

    r2969 r2985  
    10821082                          (implies --disable-shared)
    10831083  --enable-debug-lapack compile project Lapack with debug compiler flags
    1084 
    1085   --enable-msvc           Prefer (i)cl/ifort/link over GNU on MinGW/Cygwin.
     1084  --enable-doscompile     Under Cygwin, compile so that executables run under
     1085                          DOS. Set to mingw to use gcc/g++/ld with
     1086                          -mno-cygwin. Set to msvc to use cl/link (or
     1087                          icl/link). Default when mentioned: mingw. Default
     1088                          when not mentioned: disabled.
    10861089  --disable-pkg-config    disable use of pkg-config (if available)
    10871090  --disable-interpackage-dependencies
     
    18861889
    18871890# Get the name of the Fortran compiler and appropriate compiler options
    1888 
    1889 
    1890   # for backward compatibility
    1891   # Check whether --enable-doscompile or --disable-doscompile was given.
    1892 if test "${enable_doscompile+set}" = set; then
    1893   enableval="$enable_doscompile"
    1894   enable_doscompile=$enableval
    1895 else
    1896   enable_doscompile=no
    1897 fi;
    1898 
    1899   # Check whether --enable-msvc or --disable-msvc was given.
    1900 if test "${enable_msvc+set}" = set; then
    1901   enableval="$enable_msvc"
    1902   enable_msvc=$enableval
    1903 else
    1904   enable_msvc=no
    1905      if test "$enable_doscompile" = msvc ; then
    1906        enable_msvc=yes
    1907      elif test "$enable_doscompile" != no ; then
    1908        { { echo "$as_me:$LINENO: error: --enable-doscompile=$enable_doscompile not supported anymore." >&5
    1909 echo "$as_me: error: --enable-doscompile=$enable_doscompile not supported anymore." >&2;}
    1910    { (exit 1); exit 1; }; }
    1911      fi
    1912 
    1913 fi;
    1914 
    1915   if test "$enable_msvc" = yes; then
    1916     case $build in
    1917       *-cygwin* | *-mingw*) ;;
    1918       *) { { echo "$as_me:$LINENO: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&5
    1919 echo "$as_me: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&2;}
    1920    { (exit 1); exit 1; }; } ;;
    1921     esac
    1922   fi
    1923 
    1924 
    1925  case $build in
     1891case $build in
    19261892  *-mingw*)
    19271893    if test "${LD+set}" = set; then :; else
     
    19301896    ;;
    19311897 esac
    1932  if test $enable_msvc = yes ; then
    1933    if test "x${LD+set}" = xset; then :; else
    1934      LD=link
     1898 case $enable_doscompile in
     1899   msvc)
     1900     if test "x${LD+set}" = xset; then :; else
     1901       LD=link
     1902     fi
     1903     ;;
     1904 esac
     1905
     1906
     1907 # Check whether --enable-doscompile or --disable-doscompile was given.
     1908if test "${enable_doscompile+set}" = set; then
     1909  enableval="$enable_doscompile"
     1910  if test "$enable_doscompile" != no; then
     1911     case $build in
     1912       *-cygwin* | *-mingw*) ;;
     1913       *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&5
     1914echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&2;}
     1915   { (exit 1); exit 1; }; } ;;
     1916     esac
    19351917   fi
    1936  fi
    1937 
    1938 
    1939 # Check whether --enable-static-standardlibs or --disable-static-standardlibs was given.
    1940 if test "${enable_static_standardlibs+set}" = set; then
    1941   enableval="$enable_static_standardlibs"
    1942   case "$enableval" in
    1943      no | yes | auto ) ;;
    1944      *)
    1945        { { echo "$as_me:$LINENO: error: invalid argument for --enable-static-standardlibs: $enableval" >&5
    1946 echo "$as_me: error: invalid argument for --enable-static-standardlibs: $enableval" >&2;}
    1947    { (exit 1); exit 1; }; } ;;
    1948    esac
    1949    use_static_standardlibs=$enableval
    1950 else
    1951   use_static_standardlibs=no
     1918else
     1919  enable_doscompile=no
    19521920fi;
    1953 
     1921 case "$enable_doscompile" in
     1922   mingw)
     1923     case $build in
     1924       *-mingw*) enable_doscompile=no ;;
     1925     esac
     1926     ;;
     1927   msvc|no) ;;
     1928   yes) enable_doscompile=mingw ;;
     1929   *) { { echo "$as_me:$LINENO: error: Invalid value $enable_doscompile for --enable-doscompile.
     1930                    Try configure --help=recursive." >&5
     1931echo "$as_me: error: Invalid value $enable_doscompile for --enable-doscompile.
     1932                    Try configure --help=recursive." >&2;}
     1933   { (exit 1); exit 1; }; }
     1934      ;;
     1935  esac
     1936  if test "$enable_doscompile" != no ; then
     1937    { echo "$as_me:$LINENO: DOS compile style is: $enable_doscompile" >&5
     1938echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
     1939  fi
    19541940
    19551941
     
    19941980case $build in
    19951981  *-cygwin* | *-mingw*)
    1996              if test "$enable_msvc" = yes ; then
    1997                comps="icl cl gcc"
     1982             if test "$enable_doscompile" = msvc ; then
     1983               comps="icl cl"
    19981984             else
    1999                comps="gcc icl cl"
     1985               comps="gcc cl"
    20001986             fi ;;
    20011987  *-*-solaris*)
     
    28502836            ;;
    28512837        esac
     2838        case $enable_doscompile in
     2839          mingw)
     2840            CFLAGS="-mno-cygwin"
     2841            cat >conftest.$ac_ext <<_ACEOF
     2842/* confdefs.h.  */
     2843_ACEOF
     2844cat confdefs.h >>conftest.$ac_ext
     2845cat >>conftest.$ac_ext <<_ACEOF
     2846/* end confdefs.h.  */
     2847
     2848int
     2849main ()
     2850{
     2851int i=0; i++;
     2852  ;
     2853  return 0;
     2854}
     2855_ACEOF
     2856rm -f conftest.$ac_objext conftest$ac_exeext
     2857if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     2858  (eval $ac_link) 2>conftest.er1
     2859  ac_status=$?
     2860  grep -v '^ *+' conftest.er1 >conftest.err
     2861  rm -f conftest.er1
     2862  cat conftest.err >&5
     2863  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     2864  (exit $ac_status); } &&
     2865         { ac_try='test -z "$ac_c_werror_flag"
     2866                         || test ! -s conftest.err'
     2867  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     2868  (eval $ac_try) 2>&5
     2869  ac_status=$?
     2870  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     2871  (exit $ac_status); }; } &&
     2872         { ac_try='test -s conftest$ac_exeext'
     2873  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     2874  (eval $ac_try) 2>&5
     2875  ac_status=$?
     2876  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     2877  (exit $ac_status); }; }; then
     2878  coin_add_cflags="-mno-cygwin $coin_add_cflags"
     2879else
     2880  echo "$as_me: failed program was:" >&5
     2881sed 's/^/| /' conftest.$ac_ext >&5
     2882
     2883fi
     2884rm -f conftest.err conftest.$ac_objext \
     2885      conftest$ac_exeext conftest.$ac_ext
     2886            CFLAGS=
     2887          ;;
     2888        esac
    28522889    esac
    28532890  fi
     
    30403077    CFLAGS="$OPT_CFLAGS"
    30413078  fi
    3042 
    30433079else
    30443080  CFLAGS="$CFLAGS $ADD_CFLAGS $CDEFS"
     
    31913227  clang* ) ;;
    31923228  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    3193 
    3194  case $build in
     3229    case $build in
    31953230  *-mingw*)
    31963231    if test "${LD+set}" = set; then :; else
     
    31993234    ;;
    32003235 esac
    3201  if test $enable_msvc = yes ; then
    3202    if test "x${LD+set}" = xset; then :; else
    3203      LD=link
    3204    fi
    3205  fi
     3236 case $enable_doscompile in
     3237   msvc)
     3238     if test "x${LD+set}" = xset; then :; else
     3239       LD=link
     3240     fi
     3241     ;;
     3242 esac
    32063243
    32073244    ;;
    32083245esac
    3209 
    3210 # check whether to add flags for static linking against standard libraries to LDFLAGS
    3211 if test x$use_static_standardlibs != xno ; then
    3212   case $build in
    3213     *-mingw*)
    3214       static_standardlib_flag=-static
    3215       ;;
    3216     *)
    3217       static_standardlib_flag=-static-libgcc
    3218       ;;
    3219   esac
    3220   case " $LDFLAGS " in
    3221     *" $static_standardlib_flag "* ) ;;
    3222     *)
    3223     echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
    3224 echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
    3225     coin_save_LDFLAGS="$LDFLAGS"
    3226     LDFLAGS="$LDFLAGS $static_standardlib_flag"
    3227     cat >conftest.$ac_ext <<_ACEOF
    3228 /* confdefs.h.  */
    3229 _ACEOF
    3230 cat confdefs.h >>conftest.$ac_ext
    3231 cat >>conftest.$ac_ext <<_ACEOF
    3232 /* end confdefs.h.  */
    3233 
    3234 int
    3235 main ()
    3236 {
    3237 int i=0;
    3238   ;
    3239   return 0;
    3240 }
    3241 _ACEOF
    3242 rm -f conftest.$ac_objext conftest$ac_exeext
    3243 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    3244   (eval $ac_link) 2>conftest.er1
    3245   ac_status=$?
    3246   grep -v '^ *+' conftest.er1 >conftest.err
    3247   rm -f conftest.er1
    3248   cat conftest.err >&5
    3249   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3250   (exit $ac_status); } &&
    3251          { ac_try='test -z "$ac_c_werror_flag"
    3252                          || test ! -s conftest.err'
    3253   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3254   (eval $ac_try) 2>&5
    3255   ac_status=$?
    3256   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3257   (exit $ac_status); }; } &&
    3258          { ac_try='test -s conftest$ac_exeext'
    3259   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3260   (eval $ac_try) 2>&5
    3261   ac_status=$?
    3262   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3263   (exit $ac_status); }; }; then
    3264   echo "$as_me:$LINENO: result: yes" >&5
    3265 echo "${ECHO_T}yes" >&6
    3266 else
    3267   echo "$as_me: failed program was:" >&5
    3268 sed 's/^/| /' conftest.$ac_ext >&5
    3269 
    3270 echo "$as_me:$LINENO: result: no" >&5
    3271 echo "${ECHO_T}no" >&6
    3272        LDFLAGS="$coin_save_LDFLAGS"
    3273        if test $use_static_standardlibs = yes ; then
    3274          { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
    3275 echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
    3276    { (exit 1); exit 1; }; }
    3277        fi
    3278 
    3279 fi
    3280 rm -f conftest.err conftest.$ac_objext \
    3281       conftest$ac_exeext conftest.$ac_ext
    3282     ;;
    3283   esac
    3284 fi
    32853246
    32863247ac_ext=c
     
    32933254case $build in
    32943255  *-cygwin* | *-mingw*)
    3295      if test "$enable_msvc" = yes ; then
    3296        coin_f77_comps="ifort fl32 compile_f2c gfortran g95 g77"
     3256     if test "$enable_doscompile" = msvc ; then
     3257       coin_f77_comps="ifort fl32 compile_f2c"
    32973258     else
    32983259       coin_f77_comps="gfortran ifort g95 g77 fl32 compile_f2c"
     
    33043265  *) coin_f77_comps="xlf_r fort77 gfortran ifort g95 f77 g77 pgf90 pgf77 ifc frt af77" ;;
    33053266 esac
    3306 
    33073267
    33083268
     
    35203480
    35213481# Provide some information about the compiler.
    3522 echo "$as_me:3522:" \
     3482echo "$as_me:3482:" \
    35233483     "checking for Fortran 77 compiler version" >&5
    35243484ac_compiler=`set X $ac_compile; echo $2`
     
    36893649    coin_add_fflags="-pipe"
    36903650    coin_dbg_fflags="-g -O0"
     3651    case $enable_doscompile in
     3652      mingw)
     3653        FFLAGS="-mno-cygwin"
     3654        cat >conftest.$ac_ext <<_ACEOF
     3655      program main
     3656      write(*,*) 'Hello world'
     3657      end
     3658_ACEOF
     3659rm -f conftest.$ac_objext conftest$ac_exeext
     3660if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     3661  (eval $ac_link) 2>conftest.er1
     3662  ac_status=$?
     3663  grep -v '^ *+' conftest.er1 >conftest.err
     3664  rm -f conftest.er1
     3665  cat conftest.err >&5
     3666  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3667  (exit $ac_status); } &&
     3668         { ac_try='test -z "$ac_f77_werror_flag"
     3669                         || test ! -s conftest.err'
     3670  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3671  (eval $ac_try) 2>&5
     3672  ac_status=$?
     3673  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3674  (exit $ac_status); }; } &&
     3675         { ac_try='test -s conftest$ac_exeext'
     3676  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3677  (eval $ac_try) 2>&5
     3678  ac_status=$?
     3679  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3680  (exit $ac_status); }; }; then
     3681  coin_add_fflags="-mno-cygwin $coin_add_fflags"
     3682else
     3683  echo "$as_me: failed program was:" >&5
     3684sed 's/^/| /' conftest.$ac_ext >&5
     3685
     3686fi
     3687rm -f conftest.err conftest.$ac_objext \
     3688      conftest$ac_exeext conftest.$ac_ext
     3689        FFLAGS=
     3690      ;;
     3691    esac
    36913692  else
    36923693    case $build in
     
    38563857    FFLAGS="$OPT_FFLAGS"
    38573858  fi
    3858 
    38593859else
    38603860  FFLAGS="$FFLAGS $ADD_FFLAGS"
     
    39813981case "$F77" in
    39823982  ifort* | */ifort* | IFORT* | */IFORT*)
    3983 
    3984  case $build in
     3983    case $build in
    39853984  *-mingw*)
    39863985    if test "${LD+set}" = set; then :; else
     
    39893988    ;;
    39903989 esac
    3991  if test $enable_msvc = yes ; then
    3992    if test "x${LD+set}" = xset; then :; else
    3993      LD=link
    3994    fi
    3995  fi
     3990 case $enable_doscompile in
     3991   msvc)
     3992     if test "x${LD+set}" = xset; then :; else
     3993       LD=link
     3994     fi
     3995     ;;
     3996 esac
    39963997
    39973998    ;;
    39983999esac
    3999 
    4000 # check whether to add flag for static linking against standard libraries to LDFLAGS
    4001 if test x$use_static_standardlibs != xno ; then
    4002   case $build in
    4003     *-mingw*)
    4004       static_standardlib_flag=-static
    4005       ;;
    4006     *)
    4007       static_standardlib_flag=-static-libgfortran
    4008       ;;
    4009   esac
    4010   case " $LDFLAGS " in
    4011     *" $static_standardlib_flag "* ) ;;
    4012     *)
    4013     echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
    4014 echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
    4015     coin_save_LDFLAGS="$LDFLAGS"
    4016     LDFLAGS="$LDFLAGS $static_standardlib_flag"
    4017     cat >conftest.$ac_ext <<_ACEOF
    4018       program main
    4019       integer i
    4020       end
    4021 _ACEOF
    4022 rm -f conftest.$ac_objext conftest$ac_exeext
    4023 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    4024   (eval $ac_link) 2>conftest.er1
    4025   ac_status=$?
    4026   grep -v '^ *+' conftest.er1 >conftest.err
    4027   rm -f conftest.er1
    4028   cat conftest.err >&5
    4029   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4030   (exit $ac_status); } &&
    4031          { ac_try='test -z "$ac_f77_werror_flag"
    4032                          || test ! -s conftest.err'
    4033   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4034   (eval $ac_try) 2>&5
    4035   ac_status=$?
    4036   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4037   (exit $ac_status); }; } &&
    4038          { ac_try='test -s conftest$ac_exeext'
    4039   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4040   (eval $ac_try) 2>&5
    4041   ac_status=$?
    4042   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4043   (exit $ac_status); }; }; then
    4044   echo "$as_me:$LINENO: result: yes" >&5
    4045 echo "${ECHO_T}yes" >&6
    4046 else
    4047   echo "$as_me: failed program was:" >&5
    4048 sed 's/^/| /' conftest.$ac_ext >&5
    4049 
    4050 echo "$as_me:$LINENO: result: no" >&5
    4051 echo "${ECHO_T}no" >&6
    4052        LDFLAGS="$coin_save_LDFLAGS"
    4053        if test $use_static_standardlibs = yes ; then
    4054          { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
    4055 echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
    4056    { (exit 1); exit 1; }; }
    4057        fi
    4058 
    4059 fi
    4060 rm -f conftest.err conftest.$ac_objext \
    4061       conftest$ac_exeext conftest.$ac_ext
    4062     ;;
    4063   esac
    4064 fi
    40654000
    40664001ac_ext=c
     
    41264061ac_save_FFLAGS=$FFLAGS
    41274062FFLAGS="$FFLAGS $ac_verb"
    4128 (eval echo $as_me:4128: \"$ac_link\") >&5
     4063(eval echo $as_me:4063: \"$ac_link\") >&5
    41294064ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    41304065echo "$ac_f77_v_output" >&5
     
    42044139ac_save_FFLAGS=$FFLAGS
    42054140FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
    4206 (eval echo $as_me:4206: \"$ac_link\") >&5
     4141(eval echo $as_me:4141: \"$ac_link\") >&5
    42074142ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    42084143echo "$ac_f77_v_output" >&5
     
    55865521# Try to autodetect the library for blas based on build system
    55875522  #AC_MSG_CHECKING([default locations for BLAS])
     5523  skip_lblas_check=no
    55885524  case $build in
    55895525    *-sgi-*)
     
    63886324
    63896325    *-cygwin* | *-mingw*)
     6326# On cygwin, consider -lblas only if doscompile is disabled. The prebuilt
     6327# library will want to link with cygwin, hence won't run standalone in DOS.
     6328      if test "$enable_doscompile" = mingw; then
     6329        skip_lblas_check=yes
     6330      fi
    63906331      case "$CC" in
    63916332        clang* ) ;;
     
    75517492  esac
    75527493
    7553   if test -z "$use_blas" ; then
     7494  if test -z "$use_blas" && test $skip_lblas_check = no; then
    75547495    echo "$as_me:$LINENO: checking whether -lblas has BLAS" >&5
    75557496echo $ECHO_N "checking whether -lblas has BLAS... $ECHO_C" >&6
     
    1020910150*-*-irix6*)
    1021010151  # Find out which ABI we are using.
    10211   echo '#line 10211 "configure"' > conftest.$ac_ext
     10152  echo '#line 10152 "configure"' > conftest.$ac_ext
    1021210153  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    1021310154  (eval $ac_compile) 2>&5
     
    1268612627   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1268712628   -e 's:$: $lt_compiler_flag:'`
    12688    (eval echo "\"\$as_me:12688: $lt_compile\"" >&5)
     12629   (eval echo "\"\$as_me:12629: $lt_compile\"" >&5)
    1268912630   (eval "$lt_compile" 2>conftest.err)
    1269012631   ac_status=$?
    1269112632   cat conftest.err >&5
    12692    echo "$as_me:12692: \$? = $ac_status" >&5
     12633   echo "$as_me:12633: \$? = $ac_status" >&5
    1269312634   if (exit $ac_status) && test -s "$ac_outfile"; then
    1269412635     # The compiler can only warn and ignore the option if not recognized
     
    1295412895   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1295512896   -e 's:$: $lt_compiler_flag:'`
    12956    (eval echo "\"\$as_me:12956: $lt_compile\"" >&5)
     12897   (eval echo "\"\$as_me:12897: $lt_compile\"" >&5)
    1295712898   (eval "$lt_compile" 2>conftest.err)
    1295812899   ac_status=$?
    1295912900   cat conftest.err >&5
    12960    echo "$as_me:12960: \$? = $ac_status" >&5
     12901   echo "$as_me:12901: \$? = $ac_status" >&5
    1296112902   if (exit $ac_status) && test -s "$ac_outfile"; then
    1296212903     # The compiler can only warn and ignore the option if not recognized
     
    1305812999   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1305913000   -e 's:$: $lt_compiler_flag:'`
    13060    (eval echo "\"\$as_me:13060: $lt_compile\"" >&5)
     13001   (eval echo "\"\$as_me:13001: $lt_compile\"" >&5)
    1306113002   (eval "$lt_compile" 2>out/conftest.err)
    1306213003   ac_status=$?
    1306313004   cat out/conftest.err >&5
    13064    echo "$as_me:13064: \$? = $ac_status" >&5
     13005   echo "$as_me:13005: \$? = $ac_status" >&5
    1306513006   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1306613007   then
     
    1547515416  lt_status=$lt_dlunknown
    1547615417  cat > conftest.$ac_ext <<EOF
    15477 #line 15477 "configure"
     15418#line 15418 "configure"
    1547815419#include "confdefs.h"
    1547915420
     
    1557515516  lt_status=$lt_dlunknown
    1557615517  cat > conftest.$ac_ext <<EOF
    15577 #line 15577 "configure"
     15518#line 15518 "configure"
    1557815519#include "confdefs.h"
    1557915520
     
    1793517876   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1793617877   -e 's:$: $lt_compiler_flag:'`
    17937    (eval echo "\"\$as_me:17937: $lt_compile\"" >&5)
     17878   (eval echo "\"\$as_me:17878: $lt_compile\"" >&5)
    1793817879   (eval "$lt_compile" 2>conftest.err)
    1793917880   ac_status=$?
    1794017881   cat conftest.err >&5
    17941    echo "$as_me:17941: \$? = $ac_status" >&5
     17882   echo "$as_me:17882: \$? = $ac_status" >&5
    1794217883   if (exit $ac_status) && test -s "$ac_outfile"; then
    1794317884     # The compiler can only warn and ignore the option if not recognized
     
    1803917980   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1804017981   -e 's:$: $lt_compiler_flag:'`
    18041    (eval echo "\"\$as_me:18041: $lt_compile\"" >&5)
     17982   (eval echo "\"\$as_me:17982: $lt_compile\"" >&5)
    1804217983   (eval "$lt_compile" 2>out/conftest.err)
    1804317984   ac_status=$?
    1804417985   cat out/conftest.err >&5
    18045    echo "$as_me:18045: \$? = $ac_status" >&5
     17986   echo "$as_me:17986: \$? = $ac_status" >&5
    1804617987   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1804717988   then
     
    1960919550   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1961019551   -e 's:$: $lt_compiler_flag:'`
    19611    (eval echo "\"\$as_me:19611: $lt_compile\"" >&5)
     19552   (eval echo "\"\$as_me:19552: $lt_compile\"" >&5)
    1961219553   (eval "$lt_compile" 2>conftest.err)
    1961319554   ac_status=$?
    1961419555   cat conftest.err >&5
    19615    echo "$as_me:19615: \$? = $ac_status" >&5
     19556   echo "$as_me:19556: \$? = $ac_status" >&5
    1961619557   if (exit $ac_status) && test -s "$ac_outfile"; then
    1961719558     # The compiler can only warn and ignore the option if not recognized
     
    1971319654   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1971419655   -e 's:$: $lt_compiler_flag:'`
    19715    (eval echo "\"\$as_me:19715: $lt_compile\"" >&5)
     19656   (eval echo "\"\$as_me:19656: $lt_compile\"" >&5)
    1971619657   (eval "$lt_compile" 2>out/conftest.err)
    1971719658   ac_status=$?
    1971819659   cat out/conftest.err >&5
    19719    echo "$as_me:19719: \$? = $ac_status" >&5
     19660   echo "$as_me:19660: \$? = $ac_status" >&5
    1972019661   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1972119662   then
     
    2192021861   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    2192121862   -e 's:$: $lt_compiler_flag:'`
    21922    (eval echo "\"\$as_me:21922: $lt_compile\"" >&5)
     21863   (eval echo "\"\$as_me:21863: $lt_compile\"" >&5)
    2192321864   (eval "$lt_compile" 2>conftest.err)
    2192421865   ac_status=$?
    2192521866   cat conftest.err >&5
    21926    echo "$as_me:21926: \$? = $ac_status" >&5
     21867   echo "$as_me:21867: \$? = $ac_status" >&5
    2192721868   if (exit $ac_status) && test -s "$ac_outfile"; then
    2192821869     # The compiler can only warn and ignore the option if not recognized
     
    2218822129   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    2218922130   -e 's:$: $lt_compiler_flag:'`
    22190    (eval echo "\"\$as_me:22190: $lt_compile\"" >&5)
     22131   (eval echo "\"\$as_me:22131: $lt_compile\"" >&5)
    2219122132   (eval "$lt_compile" 2>conftest.err)
    2219222133   ac_status=$?
    2219322134   cat conftest.err >&5
    22194    echo "$as_me:22194: \$? = $ac_status" >&5
     22135   echo "$as_me:22135: \$? = $ac_status" >&5
    2219522136   if (exit $ac_status) && test -s "$ac_outfile"; then
    2219622137     # The compiler can only warn and ignore the option if not recognized
     
    2229222233   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    2229322234   -e 's:$: $lt_compiler_flag:'`
    22294    (eval echo "\"\$as_me:22294: $lt_compile\"" >&5)
     22235   (eval echo "\"\$as_me:22235: $lt_compile\"" >&5)
    2229522236   (eval "$lt_compile" 2>out/conftest.err)
    2229622237   ac_status=$?
    2229722238   cat out/conftest.err >&5
    22298    echo "$as_me:22298: \$? = $ac_status" >&5
     22239   echo "$as_me:22239: \$? = $ac_status" >&5
    2229922240   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    2230022241   then
     
    2524225183echo $ECHO_N "checking which command should be used to link input files... $ECHO_C" >&6
    2524325184coin_link_input_cmd="$LN_S"
     25185if test "$enable_doscompile" = mingw; then
     25186  coin_link_input_cmd=cp
     25187fi
    2524425188case "$CC" in
    2524525189  clang* ) ;;
Note: See TracChangeset for help on using the changeset viewer.